.\" Hey, EMACS: -*- nroff -*-
.\" First parameter, NAME, should be all caps
.\" Second parameter, SECTION, should be 1-8, maybe w/ subsection
.\" other parameters are allowed: see man(7), man(1)
.\" Please adjust this date whenever revising the manpage.
.\" 
.\" Some roff macros, for reference:
.\" .nh        disable hyphenation
.\" .hy        enable hyphenation
.\" .ad l      left justify
.\" .ad b      justify to both left and right margins
.\" .nf        disable filling
.\" .fi        enable filling
.\" .br        insert line break
.\" .sp <n>    insert n+1 empty lines
.\" for manpage-specific macros, see man(8)
.TH "FTPMIRROR" "8" "June 1, 2007" "Dario Minnucci <debian@midworld.net>" ""
.SH "NAME"
\fBftpmirror\fR 
\- Mirroring directory hierarchy using FTP protocol
.SH "SYNOPSIS"
.B ftpmirror
.RI [ package ]
.SH "DESCRIPTION"
.\" TeX users may be more comfortable with the \fB<whatever>\fP and
.\" \fI<whatever>\fP escape sequences to invode bold face and italics, 
.\" respectively.
\fBftpmirror\fP is an utility to copy directory hierarchy (usually
called 'mirror') using FTP protocol.
.PP 
A similar perl script exists, whose name is 'mirror',
but ftpmirror requires less memory than mirror.
.SH "OPTIONS"
Please, note that the original documentation about \fBftpmirror\fR was written originally in japanese. (README.jis and RELEASE.jis)

If you can contribute by translating any aspect of these files, please contact Dario Minnucci <debian@midworld.net>. I'll be glad to include your contributions here to improve this manual.


Formerly ftpmirror operatio mode was MASTER\->SLAVE but seems that since version 1.96 the SLAVE\->MASTER (reverse mirror) is supported.

This behaviour can be controlled for each package section in the main configuration file (/etc/ftpmirror/ftpmirror.cf).

MASTER\->SLAVE  \-\-> get\-mode = yes (default)
.br 
SLAVE\->MASTER  \-\-> put\-mode = yes


Other configuration flags extracted from original documentation are:
(Sorry but most of them are still undocummented.)

.IP todo:
(string, default: full\-mirror)

.IP verbose:
(boolean, default: no)

.IP log\-mask:
(comma separated list)

.IP test\-mode:
(boolean, default: no)

.IP ftp\-server:
(string)

.IP ftp\-gateway:
(string)

.IP ftp\-port:
(service, default: ftp)

.IP ftp\-bindaddr:
(ip address)

.IP ftp\-user:
(string, default: anonymous)

.IP ftp\-pass:
(string, default: `whoami`@`hostname`)

.IP ftp\-group:
(string)

.IP ftp\-gpass:
(string)

.IP ftp\-passive:
(boolean, default: no)
To enable passive file transfer set ftp\-passive to yes. 

.IP ftp\-idle:
(numeric, default: 0)

.IP ftp\-max\-idle:
(boolean, default: 0)

.IP ftp\-list\-method:
(LIST or STAT or STAT\-A or STAT\-AT, default: STAT)

.IP ftp\-timeout:
(numeric, default: 300)

.IP ftp\-login\-retry:
(numeric)

.IP ftp\-login\-delay:
(numeric, default: 60)

.IP ftp\-stats:
(boolean, default: no)

.IP remote\-timezone:
(timezone string, default: undef)

.IP http\-proxy:
(string)

.IP server:
(string)

.IP package:
(string)

.IP put\-mode:
(boolean, default: no)

.IP unlink:
(boolean or 'rename', default: yes)

.IP unlink\-limit:
(size value, default: 0)

.IP ftp\-force\-mtime:
(boolean, default: no)

.IP ignore\-mtime:
(boolean, default: no)

.IP temp\-directory:
(pathname, default: $TMPDIR || /tmp)

.IP lock\-directory:
(pathname, default: temp\-directory)

.IP create\-directory:
(boolean, default: yes)

.IP remote\-directory:
(string)

.IP local\-directory:
(pathname)

.IP master\-db\-directory:
(pathname)

.IP remote\-db\-directory:
(pathname)

.IP local\-db\-directory:
(pathname)

.IP lslR\-file:
(string)

.IP lslR\-copy:
(pathname)

.IP transfer\-file\-regexp:
(regexp)

.IP transfer\-directory\-regexp:
(regexp)

.IP override\-file\-regexp:
(regexp)

.IP override\-directory\-regexp:
(regexp)

.IP load\-local\-dirinfo:
(boolean, default: no)

.IP store\-local\-dirinfo:
(boolean, default: no)

.IP load\-remote\-dirinfo:
(boolean, default: no)

.IP override\-file\-uid:
(uid, default: 0)

.IP override\-file\-gid:
(uid, default: 0)

.IP override\-file\-mode:
(octal value, default: 0644)

.IP override\-directory\-mode:
(octal value, default: 0755)

.IP default\-file\-uid:
(uid, default: 0)

.IP default\-file\-gid:
(gid, default: 0)

.IP default\-file\-mode:
(octal value, default: 0644)

.IP default\-directory\-mode:
(octal value, default: 0755)


.SH "EXAMPLES"
\fBftpmirror\fR provides a 'ready\-to\-use' sample package for testing porpouses.
In order to run the provided test package you need to issue the following commands 
(both commands must be run by the same user):

.PP 
mkdir \-p /tmp/upstream
.br 
/usr/bin/ftpmirror upstream
.PP 
This package should copy directory hierarchy from the original author's FTP location
(ftp://ftp.intec.co.jp/pub/utils/ftpmirror) to your local hard drive (/tmp/upstream).

.SH "IMPORTANT CONSIDERATION"
The inclusion of this configuration is intended to be used ocassionally. 
Please don't abuse this site.


.SH "SEE ALSO"
For other supported configuration options see /etc/ftpmirror/ftpmirror.cf 
where you will find commented examples.


.SH "AUTHOR"
\fBftpmirror\fR was originally written by Ikuo Nakagawa <ikuo@intec.co.jp>
.PP 
This manual page was written by Dario Minnucci <debian@midworld.net>,
for the Debian project (but may be used by others).
